# RSL_clear_...

### Synopsis

#include "rsl.h"
Ray *RSL_clear_ray(Ray *r);
Sweep *RSL_clear_sweep(Sweep *s);
Volume *RSL_clear_volume(Volume *v);

###

Description

RSL_clear_volume calls RSL_clear_sweep for the number of sweeps. RSL_clear_sweep calls RSL_clear_ray for the number of rays. And RSL_clear_ray clears the array of Range of size nbins. All header information is preserved. This may or may not be a desired capability.

### Return value

Upon successful completion, a pointer to the appropriate structure is returned.

### See also

RSL_free_volume, RSL_free_sweep, RSL_free_ray

Author: John H. Merritt